## kio-extras 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Applications Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kio-extras VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.82.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMMarkNonGuiExecutable)
include(ECMMarkAsTest)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(CheckIncludeFile)
include(CMakePackageConfigHelpers)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Network Widgets Svg)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
         PURPOSE "Required for tests"
         TYPE OPTIONAL
         )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    ConfigWidgets
    CoreAddons
    DBusAddons
    DocTools
    DNSSD
    I18n
    KIO
    Solid
    Bookmarks
    GuiAddons
    SyntaxHighlighting
)

include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(KF5Activities QUIET)
set_package_properties(KF5Activities PROPERTIES
    PURPOSE "Provides the activities:/ kioslave and fileitem plugin."
    TYPE OPTIONAL
)

find_package(Qt5Sql QUIET)
set_package_properties(Qt5Sql PROPERTIES
    PURPOSE "Provides the activities:/ kioslave and fileitem plugin."
    TYPE OPTIONAL
)

find_package(KF5ActivitiesStats 5.62 QUIET)
set_package_properties(KF5ActivitiesStats PROPERTIES
    PURPOSE "Provides the recentlyused:/ kioslave."
    TYPE OPTIONAL
)

find_package(Phonon4Qt5 4.6.60 NO_MODULE)
set_package_properties(Phonon4Qt5 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   PURPOSE "Required for the audio preview plugin"
   TYPE OPTIONAL)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(NOT WIN32)
    # we need a version of samba which has already smbc_set_context(), Alex
    set(SAMBA_REQUIRE_SMBC_SET_CONTEXT TRUE)
    set(SAMBA_REQUIRE_SMBC_OPTION_SET TRUE)
    find_package(Samba)
    set_package_properties(Samba PROPERTIES DESCRIPTION "the SMB client library, a version with smbc_set_context() and smbc_option_set()"
                        URL "https://www.samba.org/"
                        TYPE OPTIONAL
                        PURPOSE "Needed to build the SMB kioslave"
                        )
endif()

find_package(libssh 0.8.3 MODULE)
set_package_properties(libssh PROPERTIES DESCRIPTION "the SSH library with SFTP support"
                       URL "https://www.libssh.org/"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the SFTP kioslave"
                      )

find_package(Libmtp 1.1.2)
set_package_properties(Libmtp PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Needed to build the MTP kioslave"
                       )

check_include_file(utime.h HAVE_UTIME_H)

# ECM's KDECompilerSettings.cmake should take care of enabling supporting on
# 32bit architectures.
# Thorw a fatal error if off_t isn't >=64bit to ensure that large files are working
# as expected.
# BUG: 165449
if(UNIX)
    check_cxx_source_compiles("
        #include <sys/types.h>
        /* Check that off_t can represent 2**63 - 1 correctly.
            We can't simply define LARGE_OFF_T to be 9223372036854775807,
            since some C++ compilers masquerading as C compilers
            incorrectly reject 9223372036854775807.  */
        #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))

        int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721 && LARGE_OFF_T % 2147483647 == 1) ? 1 : -1];
        int main() { return 0; }
    "
    OFFT_IS_64BIT)

    if(NOT OFFT_IS_64BIT)
        message(FATAL_ERROR "Large file support is not enabled.")
    endif()

    find_package(Gperf)
    set_package_properties(Gperf PROPERTIES TYPE OPTIONAL
                           PURPOSE "Needed to build the man kioslave"
                           )

    find_package(TIRPC)
    set_package_properties(TIRPC PROPERTIES TYPE OPTIONAL
                           PURPOSE "Needed to build the NFS kioslave"
                           )
else()
    # FIXME: on windows we ignore support until trash gets integrated
endif()

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_KEYWORDS
    -DQT_NO_FOREACH
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055200
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory( doc )

add_subdirectory( about )
if(TARGET KF5::Activities AND TARGET Qt5::Sql AND NOT WIN32)
  add_subdirectory( activities )
endif()
if(KF5ActivitiesStats_FOUND)
    add_subdirectory( recentlyused )
endif()
add_subdirectory( bookmarks )
add_subdirectory( filter )
if(Phonon4Qt5_FOUND)
    add_subdirectory( kfileaudiopreview )
endif()
add_subdirectory( info )
add_subdirectory( archive )
add_subdirectory( recentdocuments )
if (NOT WIN32)
    # does not compile: fish.cpp(41): fatal error C1083: Cannot open include file: 'sys/resource.h': No such file or directory
    # Used for getting the resource limit for closing all child process FDs. Could be completely replaced by fcloseall() if available for Unix or _fcloseall() for Windows, either conditionally on Q_OS_type or using a configure test.
    add_subdirectory( fish )
endif()
add_subdirectory( thumbnail )
add_subdirectory( docfilter )
if (libssh_FOUND)
    add_subdirectory(sftp)
endif ()
add_subdirectory( filenamesearch )
if (Libmtp_FOUND)
  add_subdirectory(mtp)
endif()

if(NOT WIN32)
   if(Gperf_FOUND)
     add_subdirectory( man )
   endif()
   if(TIRPC_FOUND)
     add_subdirectory( nfs )
   endif()
endif()

if(SAMBA_FOUND)
    add_subdirectory(smb)
endif()

configure_file (config-runtime.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-runtime.h )

ecm_qt_install_logging_categories(
    EXPORT KIO_EXTRAS
    FILE kio-extras.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)


feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== activities/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_activities\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   )

add_subdirectory(fileitemplugin)

########### next target ###############

add_library(kio_activities MODULE)
set_target_properties(kio_activities PROPERTIES
    OUTPUT_NAME "activities"
)

target_sources(kio_activities PRIVATE
   KioActivities.cpp
   utils/qsqlquery_iterator.cpp
   common/database/Database.cpp
   common/database/schema/ResourcesDatabaseSchema.cpp
   )

target_link_libraries (
   kio_activities
   Qt5::Sql
   KF5::KIOCore
   KF5::DBusAddons
   KF5::Activities
   KF5::I18n
   Qt5::Network
   )

install (
   TARGETS kio_activities
   DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio
   )

=== bookmarks/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_bookmarks\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_library(kio_bookmarks MODULE)
set_target_properties(kio_bookmarks PROPERTIES
    OUTPUT_NAME "bookmarks"
)

target_sources(kio_bookmarks PRIVATE
    kio_bookmarks.cpp
    kio_bookmarks_html.cpp
    kio_bookmarks_pixmap.cpp
)

target_link_libraries(kio_bookmarks KF5::KIOCore KF5::I18n KF5::Bookmarks KF5::Solid KF5::GuiAddons KF5::KIOFileWidgets)

install(TARGETS kio_bookmarks DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

install( FILES kio_bookmarks.css DESTINATION  ${KDE_INSTALL_DATADIR}/kio_bookmarks )

=== filter/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_library(kio_filter MODULE)
set_target_properties(kio_filter PROPERTIES
    OUTPUT_NAME "filter"
)

target_sources(kio_filter PRIVATE filter.cpp)

ecm_qt_declare_logging_category(kio_filter
    HEADER loggingcategory.h
    IDENTIFIER KIO_FILTER_DEBUG
    CATEGORY_NAME kf.kio.slaves.filter
    OLD_CATEGORY_NAMES kio_filter
    DEFAULT_SEVERITY Debug
    DESCRIPTION "KIO filter"
    EXPORT KIO_EXTRAS
)

target_link_libraries(kio_filter KF5::Archive KF5::KIOCore Qt5::Network)

install(TARGETS kio_filter DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

=== fish/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_fish\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(CheckIncludeFiles)
include(CheckFunctionExists)

check_include_files(termios.h HAVE_TERMIOS_H)
check_include_files(util.h HAVE_UTIL_H)
check_include_files(sys/ioctl.h HAVE_SYS_IOCTL_H)
check_include_files(pty.h HAVE_PTY_H)
check_include_files("sys/types.h;libutil.h" HAVE_LIBUTIL_H)
check_function_exists(getpt       HAVE_GETPT)
check_function_exists(grantpt     HAVE_GRANTPT)
include(CheckLibraryExists)
check_library_exists(util  openpty "" HAVE_OPENPTY)
check_library_exists(util  isastream "" HAVE_ISASTREAM)

find_library(UTIL_LIBRARIES util)
mark_as_advanced(UTIL_LIBRARIES)

configure_file(config-fish.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-fish.h)

########### next target ###############
# on Linux there is md5sum, on FreeBSD there is md5
find_program(MD5SUM_EXECUTABLE NAMES md5sum md5 )
    
if (MD5SUM_EXECUTABLE)

   add_library(kio_fish MODULE)
   set_target_properties(kio_fish PROPERTIES
      OUTPUT_NAME "fish"
   )

   if ("${MD5SUM_EXECUTABLE}" MATCHES "md5sum")
      set(CUT_ARG "-f 1")                            # for md5sum the sum is in the 1st column
   else ()
      set(CUT_ARG "-f 4")                            # for md5 the sum is in the 4th column
   endif ()

   if (WIN32)
      set(FISH_GENERATOR "generate_fishcode.bat")
   else ()
      set(FISH_GENERATOR "generate_fishcode.sh")
   endif ()
   set(fishcode_HDR "${CMAKE_CURRENT_BINARY_DIR}/fishcode.h")
   add_custom_command(OUTPUT ${fishcode_HDR}
      COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/${FISH_GENERATOR} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/fish.pl ${MD5SUM_EXECUTABLE} ${fishcode_HDR} "${CUT_ARG}"
      DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/fish.pl
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )
   set_source_files_properties(${fishcode_HDR} PROPERTIES SKIP_AUTOMOC TRUE)

   target_sources(kio_fish PRIVATE
      fish.cpp
      ${fishcode_HDR}
   )

   ecm_qt_declare_logging_category(kio_fish
      HEADER loggingcategory.h
      IDENTIFIER KIO_FISH_DEBUG
      CATEGORY_NAME kf.kio.slaves.fish
      OLD_CATEGORY_NAMES kio_fish
      DEFAULT_SEVERITY Info
      DESCRIPTION "KIO fish"
      EXPORT KIO_EXTRAS
   )

   target_link_libraries(kio_fish KF5::KIOCore KF5::WidgetsAddons KF5::I18n Qt5::Network)

   if (UTIL_LIBRARIES)
      target_link_libraries(kio_fish ${UTIL_LIBRARIES})
   endif ()

   install(TARGETS kio_fish  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio )

endif ()

=== man/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_man\")

remove_definitions(
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
)

find_package(KF5 REQUIRED COMPONENTS Codecs)

# silence warnings for gperf generating code with 0 for null pointers
set(AVOID_NULLPTR_WARNING_FLAG)
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(_flag "-Wno-zero-as-null-pointer-constant")
    check_cxx_compiler_flag(${_flag} _flag_present)
    if(_flag_present)
        set(AVOID_NULLPTR_WARNING_FLAG ${_flag})
    endif()
endif()

if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

# intermediate target/library, also used by the tests
add_library(kio_man_debug OBJECT)
target_link_libraries(kio_man_debug
    PRIVATE Qt5::Core
)
ecm_qt_declare_logging_category(kio_man_debug
    HEADER kio_man_debug.h
    IDENTIFIER KIO_MAN_LOG
    CATEGORY_NAME kf.kio.slaves.man
    OLD_CATEGORY_NAMES log_kio_man
    DESCRIPTION "KIO man"
    EXPORT KIO_EXTRAS
)

########### next target ###############

add_library(kio_man MODULE)
set_target_properties(kio_man PROPERTIES
    OUTPUT_NAME "man"
)

set(kio_man_generated_SRCS)
ecm_gperf_generate(requests.gperf ${CMAKE_CURRENT_BINARY_DIR}/request_gperf.h kio_man_generated_SRCS)
target_sources(kio_man PRIVATE
    ${kio_man_generated_SRCS}
    man2html.cpp
    kio_man.cpp
    request_hash.cpp
)

if (AVOID_NULLPTR_WARNING_FLAG)
    target_compile_options(kio_man PRIVATE ${AVOID_NULLPTR_WARNING_FLAG})
endif()

target_link_libraries(kio_man
    PRIVATE KF5::KIOCore Qt5::Widgets KF5::Archive KF5::I18n KF5::Codecs Qt5::Network kio_man_debug
)

install(TARGETS kio_man DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

=== mtp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_mtp\")

add_subdirectory(shared)
add_subdirectory(kiod_module)

add_library(kio_mtp MODULE)
set_target_properties(kio_mtp PROPERTIES
    OUTPUT_NAME "mtp"
)

target_sources(kio_mtp PRIVATE
    kio_mtp.cpp
)

target_include_directories(kio_mtp PRIVATE shared)
target_link_libraries(kio_mtp kmtp Qt5::Core KF5::KIOCore KF5::I18n KF5::DBusAddons)

ecm_qt_declare_logging_category(kio_mtp
    HEADER kio_mtp_debug.h
    IDENTIFIER LOG_KIO_MTP
    CATEGORY_NAME kf.kio.slaves.mtp
    OLD_CATEGORY_NAMES kde.kio-mtp
    DESCRIPTION "KIO mtp"
    EXPORT KIO_EXTRAS
)

install(TARGETS kio_mtp DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

########### install files ###############

install( FILES mtp-network.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/konqueror/dirtree/remote )
install( FILES solid_mtp.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/solid/actions )
install( FILES mtp-network.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/remoteview )

=== nfs/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

## Check for XDR functions
include(CheckCXXSymbolExists)

set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${TIRPC_LIBRARIES})
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${TIRPC_INCLUDE_DIRS})
check_cxx_symbol_exists(xdr_u_int64_t "rpc/xdr.h" HAVE_XDR_U_INT64_T)
check_cxx_symbol_exists(xdr_uint64_t "rpc/xdr.h" HAVE_XDR_UINT64_T)
check_cxx_symbol_exists(xdr_u_hyper "rpc/xdr.h" HAVE_XDR_U_HYPER)
check_cxx_symbol_exists(xdr_u_longlong_t "rpc/xdr.h" HAVE_XDR_U_LONGLONG_T)

if (NOT HAVE_XDR_U_INT64_T AND NOT HAVE_XDR_UINT64_T AND NOT HAVE_XDR_U_HYPER AND NOT HAVE_XDR_U_LONGLONG_T)
    message(FATAL_ERROR "Could not find 64-bit XDR datatype functions!")
endif (NOT HAVE_XDR_U_INT64_T AND NOT HAVE_XDR_UINT64_T AND NOT HAVE_XDR_U_HYPER AND NOT HAVE_XDR_U_LONGLONG_T)

if (HAVE_XDR_U_INT64_T)
    add_definitions(-DHAVE_XDR_U_INT64_T)
endif (HAVE_XDR_U_INT64_T)
if (HAVE_XDR_UINT64_T)
    add_definitions(-DHAVE_XDR_UINT64_T)
endif (HAVE_XDR_UINT64_T)
if (HAVE_XDR_U_HYPER)
    add_definitions(-DHAVE_XDR_U_HYPER)
endif (HAVE_XDR_U_HYPER)
if (HAVE_XDR_U_LONGLONG_T)
    add_definitions(-DHAVE_XDR_U_LONGLONG_T)
endif (HAVE_XDR_U_LONGLONG_T)

# silence warnings for rpcgen generated code having lots of unused variables
set(AVOID_UNUSED_VARIABLE_WARNING_FLAG)
if (CMAKE_C_COMPILER_ID STREQUAL "GNU" OR CMAKE_C_COMPILER_ID MATCHES "Clang")
    set(_flag "-Wno-unused-variable")
    check_c_compiler_flag(${_flag} _flag_present)
    if(_flag_present)
        set(AVOID_UNUSED_VARIABLE_WARNING_FLAG ${_flag})
    endif()
endif()

# silence warnings for use of xdr_void as no-op method in calls of clnt_call()
# It's method signature "bool_t xdr_void(void)" does not match the xdrproc_t definition
# which is "bool_t (*)(XDR*, ...)", and the compiler correctly points that out as issue.
# While no-one has come up so far with a nice way to tell the compiler that cast is fine,
# for now just disable the warning completely for the compilation unit.
set(AVOID_CAST_FUNCTION_TYPE_WARNING_FLAG)
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(_flag "-Wno-cast-function-type")
    check_cxx_compiler_flag(${_flag} _flag_present)
    if(_flag_present)
        set(AVOID_CAST_FUNCTION_TYPE_WARNING_FLAG ${_flag})
    endif()
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_nfs\")
include_directories(${TIRPC_INCLUDE_DIRS})

add_library(kio_nfs MODULE kio_nfs.cpp nfsv2.cpp nfsv3.cpp rpc_nfs3_prot_xdr.c rpc_nfs2_prot_xdr.c)
target_link_libraries(kio_nfs KF5::KIOCore KF5::I18n Qt5::Network ${TIRPC_LIBRARIES})
set_target_properties(kio_nfs PROPERTIES OUTPUT_NAME "nfs")

if(AVOID_UNUSED_VARIABLE_WARNING_FLAG)
    set_source_files_properties(rpc_nfs2_prot_xdr.c rpc_nfs3_prot_xdr.c PROPERTIES
        COMPILE_OPTIONS "${AVOID_UNUSED_VARIABLE_WARNING_FLAG}"
    )
endif()

if(AVOID_CAST_FUNCTION_TYPE_WARNING_FLAG)
    set_source_files_properties(nfsv2.cpp nfsv3.cpp PROPERTIES
        COMPILE_OPTIONS "${AVOID_CAST_FUNCTION_TYPE_WARNING_FLAG}"
    )
endif()

ecm_qt_declare_logging_category(kio_nfs
    HEADER kio_nfs_debug.h
    IDENTIFIER LOG_KIO_NFS
    CATEGORY_NAME kf.kio.slaves.nfs
    OLD_CATEGORY_NAMES kde.kio_nfs
    DESCRIPTION "KIO nfs"
    EXPORT KIO_EXTRAS
)

install(TARGETS kio_nfs DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

########### install files ###############

=== recentdocuments/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_recentdocuments\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_library(kio_recentdocuments MODULE recentdocuments.cpp)
target_link_libraries(kio_recentdocuments KF5::KIOCore KF5::I18n KF5::ConfigCore Qt5::DBus Qt5::Network)
set_target_properties(kio_recentdocuments PROPERTIES OUTPUT_NAME "recentdocuments")
install(TARGETS kio_recentdocuments DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

########### next target ###############

add_library(kded_recentdocumentsnotifier MODULE recentdocumentsnotifier.cpp)
set_target_properties(kded_recentdocumentsnotifier PROPERTIES OUTPUT_NAME recentdocumentsnotifier)
kcoreaddons_desktop_to_json(kded_recentdocumentsnotifier recentdocumentsnotifier.desktop)

target_link_libraries(kded_recentdocumentsnotifier KF5::KIOCore KF5::DBusAddons)

install(TARGETS kded_recentdocumentsnotifier  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded )

########### install files ###############

=== sftp/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_sftp\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_library(kio_sftp MODULE)
set_target_properties(kio_sftp PROPERTIES
    OUTPUT_NAME "sftp"
    LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf5/kio"
)

target_sources(kio_sftp PRIVATE kio_sftp.cpp)

ecm_qt_declare_logging_category(kio_sftp
    HEADER kio_sftp_debug.h
    IDENTIFIER KIO_SFTP_LOG
    CATEGORY_NAME kf.kio.slaves.sftp
    OLD_CATEGORY_NAMES log_kio_sftp
    DESCRIPTION "KIO sftp"
    EXPORT KIO_EXTRAS
)

ecm_qt_declare_logging_category(kio_sftp
    HEADER kio_sftp_trace_debug.h
    IDENTIFIER KIO_SFTP_TRACE_LOG
    CATEGORY_NAME kf.kio.slaves.sftp.trace
    OLD_CATEGORY_NAMES log_kio_sftp.trace
    DESCRIPTION "KIO sftp (trace)"
    EXPORT KIO_EXTRAS
)

if(WIN32)
    target_include_directories(kio_sftp PRIVATE ${QT_MKSPECS_DIR}/default) # for SYMLINKS
endif()

target_link_libraries(kio_sftp
   KF5::KIOCore
   KF5::WidgetsAddons # KMessageBox
   KF5::I18n
   Qt5::Network
   ssh)

install(TARGETS kio_sftp DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

=== thumbnail/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio5_thumbnail\")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(OpenEXR 3.0 CONFIG QUIET)
if(NOT OpenEXR_FOUND)
    find_package(OpenEXR)
endif()
set_package_properties(OpenEXR PROPERTIES
    DESCRIPTION "A library for handling OpenEXR high dynamic-range image files"
    URL "https://www.openexr.com/"
    TYPE OPTIONAL
    PURPOSE "Provides support for OpenEXR formatted images in the thumbnail kioslave"
)

find_package(libappimage 0.1.10 CONFIG)
set_package_properties(libappimage PROPERTIES
    DESCRIPTION "Core library of the AppImage project"
    URL "https://github.com/AppImage/libappimage"
    TYPE OPTIONAL
    PURPOSE "Provides support for AppImage thumbnails"
)

find_package(X11)
set_package_properties(X11 PROPERTIES
    DESCRIPTION "X11 libraries"
    URL "https://www.x.org"
    TYPE OPTIONAL
    PURPOSE "Provides support for XCursor thumbnails"
)

find_package(Taglib 1.11)
set_package_properties(Taglib PROPERTIES
    TYPE OPTIONAL
    PURPOSE "Provides support for audio thumbnails"
)

include_directories(${CMAKE_BINARY_DIR})

########### next target ###############

add_library(kio_thumbnail MODULE)
set_target_properties(kio_thumbnail PROPERTIES
    OUTPUT_NAME "thumbnail"
)

target_sources(kio_thumbnail PRIVATE
    thumbnail.cpp
    imagefilter.cpp
)

ecm_qt_declare_logging_category(kio_thumbnail
    HEADER thumbnail-logsettings.h
    IDENTIFIER KIO_THUMBNAIL_LOG
    CATEGORY_NAME kf.kio.slaves.thumbnail
    OLD_CATEGORY_NAMES log_kio_thumbnail
    DESCRIPTION "KIO thumbnail"
    EXPORT KIO_EXTRAS
)

target_compile_definitions(kio_thumbnail
    PRIVATE
        -DKSERVICE_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055100 # KMimeTypeTrader
)

target_link_libraries(kio_thumbnail
    KF5::CoreAddons
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::I18n
)

install(TARGETS kio_thumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

########### next target ###############

add_library(imagethumbnail MODULE imagecreator.cpp)

target_link_libraries(imagethumbnail
    KF5::KIOWidgets
)

install(TARGETS imagethumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES imagethumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### next target ###############

install(FILES directorythumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### next target ###############

add_library(jpegthumbnail MODULE jpegcreator.cpp)

kconfig_add_kcfg_files(jpegthumbnail jpegcreatorsettings5.kcfgc)

target_link_libraries(jpegthumbnail
    Qt5::Core
    Qt5::Gui
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::I18n
    KF5::ConfigCore
    KF5::ConfigGui
)

install(FILES jpegcreatorsettings5.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(TARGETS jpegthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES jpegthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### next target ###############

add_library(svgthumbnail MODULE svgcreator.cpp)

target_link_libraries(svgthumbnail
    Qt5::Gui
    Qt5::Svg
    KF5::KIOCore
    KF5::KIOWidgets
)

install(TARGETS svgthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES svgthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### next target ###############

add_library(textthumbnail MODULE textcreator.cpp)

target_link_libraries(textthumbnail
    Qt5::Gui
    KF5::KIOWidgets
    KF5::SyntaxHighlighting
)

install(TARGETS textthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES textthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### next target ###############

if(NOT WIN32)

    add_library(djvuthumbnail MODULE djvucreator.cpp)

    ecm_qt_declare_logging_category(djvuthumbnail
        HEADER thumbnail-djvu-logsettings.h
        IDENTIFIER KIO_THUMBNAIL_DJVU_LOG
        CATEGORY_NAME kf.kio.slaves.thumbnail.djvu
        OLD_CATEGORY_NAMES log_kio_thumbnail.djvu
        DESCRIPTION "DjVu files thumbnailer"
        EXPORT KIO_EXTRAS
    )

    target_link_libraries(djvuthumbnail KF5::KIOWidgets)

    install(TARGETS djvuthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
    install(FILES djvuthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

endif()

########### next target ###############

if(OpenEXR_FOUND)

    add_library(exrthumbnail MODULE exrcreator.cpp)

    ecm_qt_declare_logging_category(exrthumbnail
        HEADER thumbnail-exr-logsettings.h
        IDENTIFIER KIO_THUMBNAIL_EXR_LOG
        CATEGORY_NAME kf.kio.slaves.thumbnail.exr
        OLD_CATEGORY_NAMES log_kio_thumbnail.exr
        DESCRIPTION "EXR images thumbnailer"
        EXPORT KIO_EXTRAS
    )

    target_link_libraries(exrthumbnail
        KF5::KIOCore
        KF5::KIOWidgets
    )
    if(TARGET OpenEXR::OpenEXR)
        target_link_libraries(exrthumbnail OpenEXR::OpenEXR)
    else()
        target_include_directories(exrthumbnail SYSTEM PRIVATE ${OpenEXR_INCLUDE_DIRS})
        target_link_libraries(exrthumbnail ${OpenEXR_LIBRARIES})
    endif()

    # OpenEXR headers use exceptions; at least clang refuses to build the target
    # when exceptions are not enabled.
    kde_source_files_enable_exceptions(exrcreator.cpp)

    install(TARGETS exrthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
    install(FILES exrthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

endif()

########### next target ###############

if(X11_Xcursor_FOUND)

    add_library(cursorthumbnail MODULE cursorcreator.cpp)

    target_link_libraries(cursorthumbnail
        KF5::KIOCore
        KF5::KIOWidgets
        ${X11_Xcursor_LIB}
    )

    install(TARGETS cursorthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
    install(FILES cursorthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

endif()

########### next target ###############

add_library(windowsexethumbnail MODULE windowsexecreator.cpp icoutils_common.cpp)
add_library(windowsimagethumbnail MODULE windowsimagecreator.cpp icoutils_common.cpp)

if(WIN32)
    target_sources(windowsexethumbnail PRIVATE icoutils_win.cpp)
    target_sources(windowsimagethumbnail PRIVATE icoutils_win.cpp)
else()
    target_sources(windowsexethumbnail PRIVATE icoutils_wrestool.cpp)
    target_sources(windowsimagethumbnail PRIVATE icoutils_wrestool.cpp)
endif()

target_link_libraries(windowsexethumbnail KF5::KIOWidgets)
install(TARGETS windowsexethumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES windowsexethumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

target_link_libraries(windowsimagethumbnail KF5::KIOWidgets)
install(TARGETS windowsimagethumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES windowsimagethumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### next target ###############

add_library(comicbookthumbnail MODULE comiccreator.cpp)

ecm_qt_declare_logging_category(comicbookthumbnail
    HEADER thumbnail-comic-logsettings.h
    IDENTIFIER KIO_THUMBNAIL_COMIC_LOG
    CATEGORY_NAME kf.kio.slaves.thumbnail.comic
    OLD_CATEGORY_NAMES log_kio_thumbnail.comic
    DESCRIPTION "Comic books thumbnailer"
    EXPORT KIO_EXTRAS
)

target_link_libraries(comicbookthumbnail
    Qt5::Gui
    KF5::Archive
    KF5::KIOWidgets
)

install(TARGETS comicbookthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES comicbookthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

# ########### next target ###############

add_library(kritathumbnail MODULE kritacreator.cpp)

target_link_libraries(kritathumbnail
    KF5::KIOWidgets
    KF5::Archive
)

install(TARGETS kritathumbnail  DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES kraorathumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### next target #################

if(Taglib_FOUND)

    add_library(audiothumbnail MODULE audiocreator.cpp)

    target_link_libraries(audiothumbnail
        Taglib::Taglib
        KF5::KIOWidgets
    )

    install(TARGETS audiothumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
    install(FILES audiothumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

endif()

# ########### next target ###############

add_library(opendocumentthumbnail MODULE opendocumentcreator.cpp)

target_link_libraries(opendocumentthumbnail
    Qt5::Gui
    KF5::KIOWidgets
    KF5::Archive
)

install(TARGETS opendocumentthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES opendocumentthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

# ########### next target ###############

if(libappimage_FOUND)

    add_library(appimagethumbnail MODULE appimagecreator.cpp)

    target_link_libraries(appimagethumbnail
        KF5::KIOWidgets
        Qt5::Gui
        libappimage
    )

    install(TARGETS appimagethumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
    install(FILES appimagethumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

endif()

# ########### next target ###############

add_library(ebookthumbnail MODULE ebookcreator.cpp)

target_link_libraries(ebookthumbnail
    Qt5::Gui
    KF5::KIOWidgets
    KF5::Archive
)

install(TARGETS ebookthumbnail DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES ebookthumbnail.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

########### install files ###############

install(FILES thumbcreator.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== archive/autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_executable(testkioarchive testkioarchive.cpp)
target_link_libraries(testkioarchive KF5::KIOCore KF5::Archive Qt5::Test)
ecm_mark_as_test(testkioarchive)
add_test(NAME testkioarchive COMMAND testkioarchive)

=== debian/changelog ===
kio-extras (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:11:24 +0000

kio-extras (4:21.12.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:17:57 +0000

kio-extras (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:25:53 +0000

kio-extras (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:22:58 +0000

kio-extras (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:07:23 +0000

kio-extras (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:18:11 +0000

kio-extras (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:42 +0000

kio-extras (4:21.08.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add libappimage-dev to build depends.
    - Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Nov 2021 07:48:32 +0000

kio-extras (4:21.08.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Nov 2021 09:48:51 +0900

kio-extras (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:40:43 +0000

kio-extras (4:21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:55:35 +0900

kio-extras (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:35:17 +0900

kio-extras (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:44:30 +0900

kio-extras (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainers entry.
  * Drop Max from uploaders, thanks for your work.
  * Add myself to uploaders.
  * Update dependencies from cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 10:51:55 +0900

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               gperf,
               kio,
               libappimage-dev,
               libkdsoap-dev (>= 1.9.0~),
               libkf5activities-dev (>= 5.3.0~),
               libkf5activitiesstats-dev (>= 5.62~),
               libkf5archive-dev (>= 5.82.0~),
               libkf5bookmarks-dev (>= 5.82.0~),
               libkf5codecs-dev,
               libkf5config-dev (>= 5.82.0~),
               libkf5configwidgets-dev (>= 5.82.0~),
               libkf5coreaddons-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5dnssd-dev (>= 5.82.0~),
               libkf5doctools-dev (>= 5.82.0~),
               libkf5guiaddons-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5iconthemes-dev (>= 5.72.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5pty-dev (>= 5.72.0~),
               libkf5solid-dev (>= 5.82.0~),
               libkf5syntaxhighlighting-dev (>= 5.82.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libsmbclient-dev,
               libssh-dev (>= 0.7.0),
               libtag1-dev (>= 1.11~),
               libtirpc-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               shared-mime-info,
Standards-Version: 4.6.0
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Rules-Requires-Root: no

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kactivities
Replaces: kactivities
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Replaces: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~), ${kde-l10n:all}
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files

## kio-extras 22.08.2

=== debian/changelog ===
kio-extras (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:29 +0100

kio-extras (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:48 +0100

kio-extras (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * New build depend on libkf5kexiv2-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:35 +0100

kio-extras (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add libappimage-dev to build depends for appimage thumbnail support.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Jul 2022 10:23:40 +0100

kio-extras (4:22.04.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jul 2022 05:22:50 +0200

kio-extras (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:28:12 +0100

kio-extras (4:22.04.2-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Add libappimage-dev to build depends for appimage thumbnail support.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 07:31:32 +0100

kio-extras (4:22.04.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.89.0
    - bump shared-mime-info to 1.3
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update debian/upstream/metadata with up-to-date references.

 -- Pino Toscano <pino@debian.org>  Mon, 04 Jul 2022 09:19:00 +0200

kio-extras (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:02:22 +0100

kio-extras (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:00:48 +0100

kio-extras (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:44 +0100

kio-extras (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 16:39:16 +0100

kio-extras (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Update the build dependencies according to the upstream build system:
    - bump libssh to 0.8.3
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 10:32:15 +0100

=== debian/control ===
Source: kio-extras
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.89.0~),
               gettext,
               gperf,
               kio,
               libappimage-dev,
               libkdsoap-dev (>= 1.9.0~),
               libkf5activities-dev (>= 5.3.0~),
               libkf5activitiesstats-dev (>= 5.62~),
               libkf5archive-dev (>= 5.89.0~),
               libkf5bookmarks-dev (>= 5.89.0~),
               libkf5codecs-dev,
               libkf5config-dev (>= 5.89.0~),
               libkf5configwidgets-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5dbusaddons-dev (>= 5.89.0~),
               libkf5dnssd-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5guiaddons-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5iconthemes-dev (>= 5.72.0~),
               libkf5kexiv2-dev (>= 22.08.1~),
               libkf5kio-dev (>= 5.89.0~),
               libkf5pty-dev (>= 5.72.0~),
               libkf5solid-dev (>= 5.89.0~),
               libkf5syntaxhighlighting-dev (>= 5.89.0~),
               libmtp-dev,
               libopenexr-dev,
               libphonon4qt5-dev (>= 4:4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libsmbclient-dev,
               libssh-dev (>= 0.8.3~),
               libtag1-dev (>= 1.11~),
               libtirpc-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.0~),
               shared-mime-info (>= 1.3~),
Standards-Version: 4.6.1
Homepage: https://projects.kde.org/projects/kde/workspace/kio-extras
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kio-extras
Rules-Requires-Root: no

Package: kio-extras
Architecture: any
Depends: kio-extras-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kactivities
Replaces: kactivities
Description: Extra functionality for kioslaves.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package is part of the KDE base workspace module.

Package: kio-extras-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Breaks: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~),
Replaces: kactivities, kio-mtp (<< 0.75+git20140304-1ubuntu1~),
Description: Extra functionality for kioslaves data files.
 A kioslave is a plugin designed to be intimately familiar with a certain
 protocol, so that a standardized interface can be used to get at data from
 any number of places.  A few examples are the http and ftp kioslaves,
 which using nearly identical methods will retrieve data from an http or
 ftp server respectively.
 .
 This package contains the data files
